package com.writeoff.module.expert.model;

public class ExpertBankCardInfo {
    private Long id;
    private Long expertId;
    private String bankName;
    private String bankProvince;
    private String bankCity;
    private String bankBranchName;
    private String bankCardNo;
    private String bankCardFrontOssKey;
    private String bankCardBackOssKey;
    private String accountName;
    private String isDefault;
    private String cardStatus;
    private Boolean inconsistentNameApproved;
    private String changeReason;

    public ExpertBankCardInfo(Long id, Long expertId, String bankName, String bankProvince, String bankCity, String bankBranchName, String bankCardNo, String bankCardFrontOssKey, String bankCardBackOssKey, String accountName, String isDefault, String cardStatus, Boolean inconsistentNameApproved, String changeReason) {
        this.id = id;
        this.expertId = expertId;
        this.bankName = bankName;
        this.bankProvince = bankProvince;
        this.bankCity = bankCity;
        this.bankBranchName = bankBranchName;
        this.bankCardNo = bankCardNo;
        this.bankCardFrontOssKey = bankCardFrontOssKey;
        this.bankCardBackOssKey = bankCardBackOssKey;
        this.accountName = accountName;
        this.isDefault = isDefault;
        this.cardStatus = cardStatus;
        this.inconsistentNameApproved = inconsistentNameApproved;
        this.changeReason = changeReason;
    }

    public Long getId() {
        return id;
    }

    public Long getExpertId() {
        return expertId;
    }

    public String getBankName() {
        return bankName;
    }

    public String getBankProvince() {
        return bankProvince;
    }

    public String getBankCity() {
        return bankCity;
    }

    public String getBankBranchName() {
        return bankBranchName;
    }

    public String getBankCardNo() {
        return bankCardNo;
    }

    public String getBankCardFrontOssKey() {
        return bankCardFrontOssKey;
    }

    public String getBankCardBackOssKey() {
        return bankCardBackOssKey;
    }

    public String getAccountName() {
        return accountName;
    }

    public String getIsDefault() {
        return isDefault;
    }

    public String getCardStatus() {
        return cardStatus;
    }

    public Boolean getInconsistentNameApproved() {
        return inconsistentNameApproved;
    }

    public String getChangeReason() {
        return changeReason;
    }
}
